Skip to main content
`Ctrl`+`K`

# NEPGetDS

Obtain the direct solver object associated to the nonlinear eigensolver object.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPGetDS(NEP nep,DS *ds)

Not Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- ds - direct solver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSetDS()`

## Level

advanced

## Location

src/nep/interface/nepbasic.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages